Bug 1524540 (CVE-2017-17383) - CVE-2017-17383 jenkins: XSS via a crafted tool name in a job configuration form
Summary: CVE-2017-17383 jenkins: XSS via a crafted tool name in a job configuration form
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-17383
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1524541 1524542
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-11 16:34 UTC by Andrej Nemec
Modified: 2021-02-17 01:07 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-20 21:16:55 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-12-11 16:34:33 UTC
Jenkins through 2.93 allows remote authenticated administrators to conduct XSS attacks via a crafted tool name in a job configuration form, as demonstrated by the JDK tool in Jenkins core and the Ant tool in the Ant plugin, aka SECURITY-624.

External References:

https://jenkins.io/security/advisory/2017-12-05/

Comment 1 Andrej Nemec 2017-12-11 16:34:57 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1524541]
Affects: openshift-1 [bug 1524542]

Comment 2 Product Security DevOps Team 2020-05-20 21:16:55 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-17383


Note You need to log in before you can comment on or make changes to this bug.